# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate git2

Name:           rust-%{crate}
Version:        0.7.5
Release:        1%{?dist}
Summary:        Bindings to libgit2 for interoperating with git repositories

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/git2
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

# libgit2 0.27 doesn't have this field -- see rust-libgit2-sys
Patch1:         rust-git2-no-include_depth.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(bitflags/default) >= 1.0.0 with crate(bitflags/default) < 2.0.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(libgit2-sys/curl) >= 0.7.7 with crate(libgit2-sys/curl) < 0.8.0)
BuildRequires:  (crate(libgit2-sys/default) >= 0.7.7 with crate(libgit2-sys/default) < 0.8.0)
BuildRequires:  (crate(libgit2-sys/https) >= 0.7.7 with crate(libgit2-sys/https) < 0.8.0)
BuildRequires:  (crate(libgit2-sys/ssh) >= 0.7.7 with crate(libgit2-sys/ssh) < 0.8.0)
BuildRequires:  (crate(libgit2-sys/ssh_key_from_memory) >= 0.7.7 with crate(libgit2-sys/ssh_key_from_memory) < 0.8.0)
BuildRequires:  (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(openssl-probe/default) >= 0.1.0 with crate(openssl-probe/default) < 0.2.0)
BuildRequires:  (crate(openssl-sys/default) >= 0.9.0 with crate(openssl-sys/default) < 0.10.0)
BuildRequires:  (crate(url/default) >= 1.0.0 with crate(url/default) < 2.0.0)
%if %{with check}
BuildRequires:  (crate(docopt/default) >= 1.0.0 with crate(docopt/default) < 2.0.0)
BuildRequires:  (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
BuildRequires:  (crate(serde_derive/default) >= 1.0.0 with crate(serde_derive/default) < 2.0.0)
BuildRequires:  (crate(tempdir/default) >= 0.3.7 with crate(tempdir/default) < 0.4.0)
BuildRequires:  (crate(thread-id/default) >= 3.3.0 with crate(thread-id/default) < 4.0.0)
BuildRequires:  (crate(time/default) >= 0.1.39 with crate(time/default) < 0.2.0)
%endif

%global _description \
Bindings to libgit2 for interoperating with git repositories. This library is\
both threadsafe and memory safe and allows both reading and writing git\
repositories.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+curl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+curl-devel %{_description}

This package contains library source intended for building other packages
which use "curl" feature of "%{crate}" crate.

%files       -n %{name}+curl-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages
which use "https" feature of "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+openssl-probe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-probe-devel %{_description}

This package contains library source intended for building other packages
which use "openssl-probe" feature of "%{crate}" crate.

%files       -n %{name}+openssl-probe-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages
which use "openssl-sys" feature of "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+ssh-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh-devel %{_description}

This package contains library source intended for building other packages
which use "ssh" feature of "%{crate}" crate.

%files       -n %{name}+ssh-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+ssh_key_from_memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssh_key_from_memory-devel %{_description}

This package contains library source intended for building other packages
which use "ssh_key_from_memory" feature of "%{crate}" crate.

%files       -n %{name}+ssh_key_from_memory-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages
which use "unstable" feature of "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Aug 10 2018 Josh Stone <jistone@redhat.com> - 0.7.5-1
- Update to 0.7.5

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.1-2
- Bump docopt to 1

* Fri Mar 23 2018 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Mon Mar 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.11-1
- Update to 0.6.11

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-2
- Rebuild for rust-packaging v5

* Sun Dec 24 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.10-1
- Update to 0.6.10

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.9-1
- Update to 0.6.9

* Sun Nov 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.8-1
- Initial package
